import 'reflect-metadata';
import { CallableOptions } from 'firebase-functions/v2/https';
/**
 * Decorator that adds the class method to the Cloud Functions list triggered as a callable
 * function.
 *
 * @example
 * import { onCall } from 'firebase-triggers';
 * import { CallableRequest } from 'firebase-functions/lib/common/providers/https';
 *
 * class TodoCtrl {
 *     \@onCall()
 *     add(event: CallableRequest) {
 *         console.log('Add new todo', event.data);
 *     }
 * }
 */
export declare function onCall(options?: CallableOptions): (target: any, key: string) => void;
