import { RuntimeOptions } from 'firebase-functions/v1';
/**
 * Decorator that adds the method to the Cloud Functions list that is triggered when removing a
 * user from Firebase Authentication.
 *
 * @example
 * import { onFirebaseUserDelete } from 'firebase-triggers';
 * import { UserRecord } from 'firebase-functions/auth';
 * import { EventContext } from 'firebase-functions';
 *
 * class UserCtrl {
 *     \@onFirebaseUserDelete()
 *     onDelete(user: UserRecord, context: EventContext) {
 *         console.log(`${user.displayName} left us`);
 *     }
 * }
 */
export declare function onFirebaseUserDelete(options?: RuntimeOptions): (target: any, key: string) => void;
