"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTP_METHOD_NOT_FOUND = exports.SCHEMA_INVALID = exports.INTERNAL_ERROR = void 0;
exports.mergeError = mergeError;
exports.INTERNAL_ERROR = {
    code: 'internal/error',
    msg: 'An unexpected internal error has occurred',
};
exports.SCHEMA_INVALID = {
    code: 'schema/invalid-schema',
    error: 'The sent object is different from the expected schema',
};
exports.HTTP_METHOD_NOT_FOUND = {
    code: 'http/method-not-found',
    error: 'The HTTP method used in this operation is not allowed',
};
function mergeError(requestError, opt) {
    const result = {
        ...requestError,
        ...(!!(opt && opt.msg) && { msg: opt.msg }),
    };
    if (opt && opt.error) {
        let isRequestError = false;
        if (opt.error.code) {
            result.code = opt.error.code;
            isRequestError = true;
        }
        if (opt.error.msg) {
            result.msg = opt.error.msg;
            isRequestError = true;
        }
        if (!isRequestError) {
            result.error = opt.error.message || JSON.stringify(opt.error);
        }
    }
    return result;
}
//# sourceMappingURL=errors.js.map