"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.multipleRequestHandler = multipleRequestHandler;
const errors_1 = require("../errors");
/**
 * Returns method that checks whether the HTTP method is accepted
 * @param requestHandler HTTP request method that will be executed
 */
function multipleRequestHandler(requestHandlerList) {
    return async function (...args) {
        const req = args[0];
        const res = args[1];
        const handler = requestHandlerList[req.method] || requestHandlerList.DEFAULT;
        if (handler) {
            return handler.apply(this, args);
        }
        res.status(400).json({
            success: false,
            error: errors_1.HTTP_METHOD_NOT_FOUND,
        });
    };
}
//# sourceMappingURL=multiple-request-handler.js.map