import { FirebaseFunction } from './types';
/**
 * Returns the list of Cloud Functions found at startup or added later
 */
export declare function getFirebaseFunctionList(): FirebaseFunction[];
/**
 * Returns the class name of the target object
 * @param target
 */
export declare function getClassName(target: any): string;
/**
 * Returns group name based on class name ignoring any suffix equal to 'Ctrl'.
 * If the function's trigger is for HTTP requests and the parameter with the method name
 * is informed, then the naming rule will be ignored and the method should return undefined.
 * @param func Firebase function data
 */
export declare function getGroupName(func: FirebaseFunction): string | undefined;
/**
 * Returns the class method instantiated by the resolver to do the dependency injection.
 * @param target Control class
 * @param methodName Method name
 */
export declare function getClassMethod(target: any, methodName: string): (...args: any) => any;
/**
 * Adds Firebase function to the project list in memory
 * @param firebaseFunction Firebase function data
 */
export declare function addFirebaseFunction(firebaseFunction: FirebaseFunction): void;
