"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FirebaseTriggerType = void 0;
/**
 * Action to trigger a Cloud Function
 */
var FirebaseTriggerType;
(function (FirebaseTriggerType) {
    /** Triggered as a callable function */
    FirebaseTriggerType["CALLABLE"] = "CALLABLE";
    /** Triggered when a new user is created on Firebase Authentication */
    FirebaseTriggerType["USER_CREATE"] = "USER_CREATE";
    /** Triggered when a user is removed from Firebase Authentication */
    FirebaseTriggerType["USER_DELETE"] = "USER_DELETE";
    /** Triggered when a document is created on Firestore */
    FirebaseTriggerType["FIRESTORE_CREATE"] = "FIRESTORE_CREATE";
    /** Triggered when a document is updated on Firestore */
    FirebaseTriggerType["FIRESTORE_UPDATE"] = "FIRESTORE_UPDATE";
    /** Triggered when a document is removed from Firestore */
    FirebaseTriggerType["FIRESTORE_DELETE"] = "FIRESTORE_DELETE";
    /** Triggered when a document is created, updated or removed from Firestore */
    FirebaseTriggerType["FIRESTORE_WRITE"] = "FIRESTORE_WRITE";
    /** Triggered when there is a new post on a specific topic on PubSub */
    FirebaseTriggerType["PUBSUB_PUBLISH"] = "PUBSUB_PUBLISH";
    /** Triggered within a defined time range */
    FirebaseTriggerType["PUBSUB_SCHEDULE"] = "PUBSUB_SCHEDULE";
    /** Triggered by HTTP requests */
    FirebaseTriggerType["HTTP_REQUEST"] = "HTTP_REQUEST";
    /** Triggered when a file is archived */
    FirebaseTriggerType["STORAGE_ARCHIVE"] = "STORAGE_ARCHIVE";
    /** Triggered when a file is deleted */
    FirebaseTriggerType["STORAGE_DELETE"] = "STORAGE_DELETE";
    /** Triggered when a file finalize the upload */
    FirebaseTriggerType["STORAGE_FINALIZE"] = "STORAGE_FINALIZE";
    /** Triggered when a file metadata is updated */
    FirebaseTriggerType["STORAGE_METADATA_UPDATE"] = "STORAGE_METADATA_UPDATE";
})(FirebaseTriggerType || (exports.FirebaseTriggerType = FirebaseTriggerType = {}));
//# sourceMappingURL=firebase-trigger-type.js.map